<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_robot_model.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">RobotModel Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_robot_model.html">RobotModel</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a2f798884e9a13f5ae3d7c58d7b2194e5">base_color</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a644f24ce04cb33b8db2fbda1fc2e2420">base_xdim</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a4cdd7ccd23ed87e388ed0635e3f7991b">base_ydim</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">build</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54">buildRobot</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#acbfac5e4469144d48c761f01631df790">checkMeasuresSize</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a718bf2ab8a143dfa08c2055920507e1b">distance</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b">drawBase</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#ad5aaa78e64238b82f7a6b8363bf1d4e9">drawBattery</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66">drawBoard</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d">drawDetectionCircle</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a4b263ab1f68a83cfa3d452d5815f4e78">drawFront</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a87661f0bd9710754adfc61ba51fb04db">drawFrontWall</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a8e333fbe656aff04e02de1365c1efda8">drawFrontWing</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4">drawMotor</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a8e238d0238c3ba612fe8308a41aa4688">drawMotorFront</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929">drawMotorMain</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a97109a084e61c1a3393c09c647328463">drawMotorRoller</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8">drawObstacle</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20">drawWheel</a>(double rotation)</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a308a82506f5ebec238713ff4710baef3">front_color</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">getMeasure</a>(int new_measure, int index)</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#abff75ab66f078cb17055da2a5c8a48ce">lwheel_rot</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a321aaa470271c7ec32d2f77d93f34034">measures</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">move</a>(int left_velocity, int right_velocity, int time_interval)</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#ad843021574c28bd3b719d7b106c27048">obstacle_color</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a7c956ae296af5b38baf87acc4d5b85c2">obstacles</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a212a2687c1e9f761dff6896009bcdcaf">orientation</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a1fda969d9d9a447f5f0d5bef7ab3ba85">position</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a08fd1adf414eb69aacc759b7effdde4f">returnMeasureIfConst</a>(int index)</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">returnRobotDistance</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_robot_model.html#a65c03c3c26d969afaae0efff52653a9d">RobotModel</a>()</td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_robot_model.html#a7d4b31cea52b526ab1fcda01c947c44d">rwheel_rot</a></td><td class="entry"><a class="el" href="class_robot_model.html">RobotModel</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
